<% Option Explicit %>

<!-- #include file = "SQL.asp" -->

<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<title>FS Flight Keeper - Live ACARS Demo</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"></head>
<meta http-equiv="Refresh" content="60">
<meta http-equiv="Expires" content="0">
<body>

<%

'--HEADER--------------------------------------------------------------------------
'
'    Project   : Live ACARS Demo Web Service v3.1
'    Author    : Thomas Molitor
'    Company   : Thomas Molitor EDV Service
    '    Copyright : Copyright  2002-2011 Thomas Molitor
'
'    Notes:
'
'
'
'--END-----------------------------------------------------------------------------

Dim strFunction
Dim strValue
Dim strMessage
Dim arData
Dim lngCount, i, j
Dim oConn, oRs

'### Added v2.5 ###
Dim arPos, strCurWP, strColor

If Not Connect(oConn) Then
    Response.Write "Database connection failed."
    Response.End
End If

'### Added 2.6 ###
'Delete not responding flight entries (LastMessage older than 30 minutes)
oConn.Execute "DELETE FROM LiveACARS WHERE LastMessage <= #" & DateAdd("n", -30, Now()) & "#"

Set oRs = Server.CreateObject("ADODB.Recordset")
oRs.CursorLocation = 3 'adUseClient
oRs.LockType = 3 'adLockOptimistic
oRs.CursorType = 1 'adOpenKeyset
Set oRs.ActiveConnection = oConn

'### Changed v2.5 ###
oRs.Open "SELECT * FROM LiveACARS", , , , 1 'adCmdText

If oRs.EOF Then
    Response.Write "There are currently no flights available."
Else
    Do While Not oRs.EOF

        Select Case oRs.Fields("Status").Value

            Case 0
                Response.Write "<img src=""Images/Boarding.gif"" border=""0"">&nbsp;Boarding"

            Case 1
                Response.Write "<img src=""Images/Boarding.gif"" border=""0"">&nbsp;Taxiing"

            Case 2
                Response.Write "<img src=""Images/Airborne.gif"" border=""0"">&nbsp;Airborne"

            Case 3
                Response.Write "<img src=""Images/Landed.gif"" border=""0"">&nbsp;Landed"

            Case 4
                Response.Write "<img src=""Images/Boarding.gif"" border=""0"">&nbsp;Parking"

                
        End Select


        Select Case oRs.Fields("AltitudeStatus").Value
            Case 0
                Response.Write " (Descending)"

            Case 1
                Response.Write " (Level off)"

            Case 2
                Response.Write " (Climbing)"

        End Select

        '### Changed v2.6 ###
        If Len("" & oRs.Fields("Airline").Value) <> 0 Then
            Response.Write " - " & oRs.Fields("Airline").Value 
            If Len("" & oRs.Fields("Airline").Value) <> 0 Then Response.Write " (" & oRs.Fields("FlightNumber").Value & ")"
        ElseIf Len("" & oRs.Fields("FlightNumber").Value) <> 0 Then 
            Response.Write " - Flight " & oRs.Fields("FlightNumber").Value & ")"
        End If
        
        Response.Write " - " & oRs.Fields("Aircraft").Value
        Response.Write " - Pilot " & oRs.Fields("IDPilot").Value
        If Len("" & oRs.Fields("Passenger").Value) <> 0 Then Response.Write " - Passenger " & oRs.Fields("Passenger").Value
        If Len("" & oRs.Fields("Cargo").Value) <> 0 Then Response.Write " - Cargo " & oRs.Fields("Cargo").Value
        Response.Write "&nbsp;&nbsp;&nbsp;&nbsp;<a href=""Details.asp?ID=" & oRs.Fields("IDFlight").Value & """ Target=""DETAILS"">Messages</a>"

        '### Added v2.5 ###
        Response.Write vbCrLf & "<BLOCKQUOTE>" & vbCrLf
        If Len(oRs.Fields("FlightPlan").Value) <> 0 Then
        strCurWP = oRs.Fields("CurrentWaypoint").Value
            If Len(strCurWP) <> 0 Then
                strColor = "<font color=""#009933"">"
                Response.Write strColor
            End If
            arPos=Split(oRs.Fields("FlightPlan").Value, "~")
            For i = LBound(arPos) to UBound(arPos)
                If i <> LBound(arPos) Then
                    If Len(strColor) = 0 Then
                        Response.Write " - "
                    Else
                        Response.Write "</font> - " & strColor
                    End If
                End If
                If UCase(arPos(i)) = strCurWP Then
                    Response.Write "</font><font color=""#DD7700"">"
                    strColor = "<font color=""#EE0000"">"
                End If
                Response.Write arPos(i)
                If i > LBound(arPos) Then
                    If UCase(arPos(i - 1)) = strCurWP Then
                        strColor = ""
                        Response.Write "</font>"
                    End If
                End If
            Next
            
            '### Changed v2.6 ###
            If Len(strColor) <> 0 Then Response.Write "</font>"
            Response.Write "<BR><BR>"
    
        '### Added v2.6 ###
        Else
            If Len(oRs.Fields("OriginAirport").Value) <> 0 Then
                Response.Write vbCrLf & "<u><strong>&nbsp;Flight&nbsp;</strong></u><BR><BR>"
                Response.Write "From " & oRs.Fields("OriginAirport").Value
                If Len(oRs.Fields("DestinationAirport").Value) <> 0 Then
                    Response.Write "From " & oRs.Fields("DestinationAirport").Value
                End If
                Response.Write "<BR><BR>"
            End If      
        End If

        '### Added v2.5 ###
        If oRs.Fields("PauseMode").Value Then
            Response.Write vbCrLf & "<font color=""#EE0000""><strong><em>The Flight is currently paused.</em></strong></font><BR><BR>"
        End If

        Response.Write vbCrLf & "/POS " & oRs.Fields("Position").Value
        If oRs.Fields("Heading").Value <> -1 Then Response.Write " /HDG " & oRs.Fields("Heading").Value

        '### Added v2.7 ###
        If oRs.Fields("TrueHeading").Value <> -1 Then Response.Write " /HDT " & oRs.Fields("TrueHeading").Value

        If oRs.Fields("Altitude").Value <> -1 Then Response.Write " /ALT " & oRs.Fields("Altitude").Value & "ft"
        If oRs.Fields("IAS").Value <> -1 Then Response.Write " /IAS " & oRs.Fields("IAS").Value & "kts"
        If oRs.Fields("TAS").Value <> -1 And oRs.Fields("Status").Value = 2 Then Response.Write " /TAS " & oRs.Fields("TAS").Value & "kts"

        '### Changed v2.6 ###
        If oRs.Fields("DistanceFlown").Value <> -1 Then
            Response.Write " /DST " & oRs.Fields("DistanceFlown").Value
            If oRs.Fields("DistancePlanned").Value <> -1 Then
                Response.Write " - " & oRs.Fields("DistancePlanned").Value & "nm"
            Else
                Response.Write "nm"
            End If      
        End If
        
        Response.Write vbCrLf & "</BLOCKQUOTE>"
    
        oRs.MoveNext
    Loop
End If


If Not IsEmpty(oRs) Then
    If Not oRs Is Nothing Then
        If oRs.State = 1 Then oRs.Close
            Set oRs = Nothing
    End If
End If

If Not IsEmpty(oConn) Then
    If Not oConn Is Nothing Then
            If oConn.State = 1 Then oConn.Close
            Set oConn = Nothing
    End If
End If

%>

</body>
</html>