<% Option Explicit %>

<%
'--HEADER--------------------------------------------------------------------------
'
'    Project   : Live ACARS Demo PIREP Service v3.1
'    Author    : Thomas Molitor
'    Company   : Thomas Molitor EDV Service
'    Copyright : Copyright  2002-2011 Thomas Molitor
'
'    Notes:
'
'
'
'--END-----------------------------------------------------------------------------
%>

<!-- #include file = "SQL.asp" -->

<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<title>FS Flight Keeper - PIREPs Overview</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Expires" content="0">
<style type="text/css">
<!--
tr {
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 9px;
}
-->
</style>
</head>
<body>


<p>
<%

Dim arData, arEntry
Dim i
Dim oConn, oRs

If Not Connect(oConn) Then
    Response.Write "Database connection failed."
    Response.End
End If

Set oRs = Server.CreateObject("ADODB.Recordset")
oRs.CursorLocation = 3 'adUseClient
oRs.LockType = 3 'adLockOptimistic
oRs.CursorType = 1 'adOpenKeyset
Set oRs.ActiveConnection = oConn

oRs.Open "SELECT TOP 50 IDPIREP, CreatedOn, IDPilot, PilotName, Airline, FlightNumber, OriginAirport, DestinationAirport, BlockTime, OFFTime, FlightFuel FROM PIREP ORDER BY CreatedON DESC", , , , 1 'adCmdText

If oRs.EOF Then
    Response.Write "There are currently no PIREPs stored in the Database."
Else
    Response.Write vbCrLf
%>

<font size="3" face="Verdana, Arial, Helvetica, sans-serif"><strong>PIREPs Overview</strong></font>
<br><br>
<table width="1024" border="0" cellpadding="4" cellspacing="0" bordercolor="#FFFFFF">
      <tr bordercolor="#FFFFFF" bgcolor="#00CCFF">
        <td width="80"><font color="#333333"><strong>Filed On</strong></font></td>
        <td width="110"><font color="#333333"><strong>Flight</strong></font></td>
        <td width="180"><font color="#333333"><strong>Pilot</strong></font></td>
        <td width="352"><font color="#333333"><strong>From - To </strong></font></td>
        <td width="55"><div align="center"><font color="#333333"><strong>Block Time</strong></font></div></td>
        <td width="111"><div align="center"><font color="#333333"><strong>OFF Time</strong></font></div></td>
        <td width="80"><div align="center"><font color="#333333"><strong>Flight Fuel (lbs) </strong></font></div></td>
      </tr>


    <% 
        i = 0
        Do While Not oRs.EOF
    %>
        <% If (i Mod 2) = 0 Then %>
          <tr bordercolor="#FFFFFF" bgcolor="#FFFFCC">
        <% Else %>
          <tr bordercolor="#FFFFFF" bgcolor="#FFCC99">
        <% End If %>
            <td><%= FormatDateTime(oRs.Fields("CreatedOn").Value, vbShortDate) %></td>
            <td><a href="PIREPDetails.asp?ID=<%= oRs.Fields("IDPIREP").Value %>" target="PIREP_DETAILS"><%= oRs.Fields("Airline").Value & " " & oRs.Fields("FlightNumber").Value %></a></td>
            <td><%= oRs.Fields("PilotName").Value & " (" & oRs.Fields("IDPilot").Value & ")" %></td>
            <td>
                <%
                    ' ### Changed v2.6 ###
                    Response.Write oRs.Fields("OriginAirport").Value
                    If Len(oRs.Fields("DestinationAirport").Value) <> 0 Then Response.Write "&nbsp; <b>-></b> &nbsp;" & oRs.Fields("DestinationAirport").Value
                %>
            </td>
            <td><div align="center"><%= oRs.Fields("BlockTime").Value %></div></td>
            <td><div align="center"><%= oRs.Fields("OFFTime").Value %></div></td>
            <td><div align="center"><%= FormatNumber(oRs.Fields("FlightFuel").Value, 0, , True) %></div></td>
          </tr>
    <%  
            i = i + 1
            oRs.MoveNext
        Loop
    %>
</table>
<p>
  <%    
End If

If Not IsEmpty(oRs) Then
    If Not oRs Is Nothing Then
        If oRs.State = 1 Then oRs.Close
            Set oRs = Nothing
    End If
End If

If Not IsEmpty(oConn) Then
    If Not oConn Is Nothing Then
            If oConn.State = 1 Then oConn.Close
            Set oConn = Nothing
    End If
End If

%>
</font>
</p>
</body>
</html>