CREATE DATABASE IF NOT EXISTS flkeeper;

USE flkeeper;

DROP TABLE IF EXISTS pirep;
CREATE TABLE pirep (
  IDPIREP varchar(255) NOT NULL default '',
  CreatedOn timestamp(14),
  IDPilot varchar(255) default NULL,
  PilotName varchar(255) default NULL,
  AircraftTitle varchar(255) default NULL,
  AircraftType varchar(255) default NULL,
  TailNumber varchar(255) default NULL,
  Airline varchar(255) default NULL,
  FlightNumber varchar(255) default NULL,
  FlightType varchar(255) default NULL,
  FlightLevel varchar(255) default NULL,
  Passenger varchar(255) default NULL,
  Cargo varchar(255) default NULL,
  ZFW varchar(255) default NULL,
  OriginAirport varchar(255) default NULL,
  OriginGate varchar(255) default NULL,
  OriginRunway varchar(255) default NULL,
  OriginTA varchar(255) default NULL,
  DestinationAirport varchar(255) default NULL,
  DestinationGate varchar(255) default NULL,
  DestinationRunway varchar(255) default NULL,
  DestinationTA varchar(255) default NULL,
  AlternateAirport varchar(255) default NULL,
  SID varchar(255) default NULL,
  STAR varchar(255) default NULL,
  DistanceFlight varchar(255) default NULL,
  DistanceRoute varchar(255) default NULL,
  OUTTime varchar(255) default NULL,
  OFFTime varchar(255) default NULL,
  ONTime varchar(255) default NULL,
  INTime varchar(255) default NULL,
  BlockTime varchar(255) default NULL,
  FlightTime varchar(255) default NULL,
  DayFlightTime varchar(255) default NULL,
  NightFlightTime varchar(255) default NULL,
  BlockFuel varchar(255) default NULL,
  FlightFuel varchar(255) default NULL,
  TakeoffIAS varchar(255) default NULL,
  LandingIAS varchar(255) default NULL,
  LandingVS varchar(255) default NULL,
  FlightMapJPG varchar(255) default NULL,
  FlightMapWeatherJPG varchar(255) default NULL,
  FlightMapTaxiOutJPG varchar(255) default NULL,
  FlightMapTaxiInJPG varchar(255) default NULL,
  FlightMapVerticalProfileJPG varchar(255) default NULL,
  FlightMapLandingProfileJPG varchar(255) default NULL,
  FlightScore varchar(255) default NULL,
  FlightCritique text,
  FlightPlan text,
  Comment text,
  PRIMARY KEY  (IDPIREP)
) TYPE=MyISAM;

