<% Option Explicit %>

<%
'--HEADER--------------------------------------------------------------------------
'
'    Project   : Live ACARS Demo PIREP Service v3.1
'    Author    : Thomas Molitor
'    Company   : Thomas Molitor EDV Service
'    Copyright : Copyright  2002-2011 Thomas Molitor
'
'    Notes:
'
'
'
'--END-----------------------------------------------------------------------------

%>

<!-- #include file = "SQL.asp" -->

<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<title>FS Flight Keeper - PIREP Details</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Expires" content="0">
<style type="text/css">
<!--
tr {
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 12px;
}
-->
</style>
</head>
<body>


<p>
<%

Dim arData, arEntry
Dim i
Dim oConn, oRs

If Not Connect(oConn) Then
    Response.Write "Database connection failed."
    Response.End
End If

Set oRs = Server.CreateObject("ADODB.Recordset")
oRs.CursorLocation = 3 'adUseClient
oRs.LockType = 3 'adLockOptimistic
oRs.CursorType = 1 'adOpenKeyset
Set oRs.ActiveConnection = oConn

oRs.Open "SELECT * FROM PIREP WHERE IDPIREP = '" & Request("ID") & "'", , , , 1 'adCmdText

If oRs.EOF Then
    Response.Write "There is no PIREP with this ID."
Else
    Response.Write vbCrLf
%>

<font size="3" face="Verdana, Arial, Helvetica, sans-serif"><strong>PIREP Details</strong></font>
<br><br>
<table width="800" border="1" cellpadding="4" cellspacing="0">
  <tr bgcolor="#66CCFF">
    <td colspan="3"><font color="#333333"><strong>Created On</strong></font></td>
    <td colspan="2"><strong><font color="#333333">Pilot Name </font></strong></td>
    <td colspan="2"><strong><font color="#333333">Pilot ID </font></strong></td>
  </tr>
  <tr>
    <td colspan="3"><%= oRs.Fields("CreatedOn").Value %></td>
    <td colspan="2"><%= oRs.Fields("PilotName").Value %></td>
    <td colspan="2"><%= oRs.Fields("IDPilot").Value %></td>
  </tr>
  <tr>
    <td colspan="7">&nbsp;</td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="3"><font color="#333333"><strong>Aircraft Title</strong></font></td>
    <td colspan="2"><font color="#333333"><strong>Aircraft Type</strong></font></td>
    <td width="135"><font color="#333333"><strong>Tail Number</strong></font></td>
    <td width="81"><font color="#333333"><strong>Flight Type</strong></font></td>
  </tr>
  <tr>
    <td colspan="3"><%= oRs.Fields("AircraftTitle").Value & "&nbsp;" %></td>
    <td colspan="2"><%= oRs.Fields("AircraftType").Value & "&nbsp;" %></td>
    <td width="135"><%= oRs.Fields("TailNumber").Value & "&nbsp;" %></td>
    <td width="81"><%= oRs.Fields("FlightType").Value & "&nbsp;" %></td>
  </tr>
  <tr>
    <td colspan="7">&nbsp;</td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="2"><font color="#333333"><strong>Airline</strong></font></td>
    <td width="136"><font color="#333333"><strong>Flight Number</strong></font></td>
    <td colspan="2"><font color="#333333"><strong>Flight Level</strong></font></td>
    <td width="135"><font color="#333333"><strong>Passenger</strong></font></td>
    <td width="81"><font color="#333333"><strong>Cargo</strong></font></td>
  </tr>
  <tr>
    <td colspan="2"><%= oRs.Fields("Airline").Value & "&nbsp;" %></td>
    <td width="136"><%= oRs.Fields("FlightNumber").Value & "&nbsp;" %></td>
    <td colspan="2"><%= oRs.Fields("FlightLevel").Value & "&nbsp;" %></td>
    <td width="135"><%= oRs.Fields("Passenger").Value & "&nbsp;" %></td>
    <td width="81"><%= oRs.Fields("Cargo").Value & "&nbsp;" %></td>
  </tr>
  <tr>
    <td colspan="7">&nbsp;</td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="2"><font color="#333333"><strong>Origin Airport</strong></font></td>
    <td width="136"><font color="#333333"><strong>Gate</strong></font></td>
    <td colspan="2"><font color="#333333"><strong>Runway</strong></font></td>
    <td width="135"><font color="#333333"><strong>SID</strong></font></td>
    <td width="81"><font color="#333333"><strong>Transition</strong></font></td>
  </tr>
  <tr>
    <td colspan="2"><%= oRs.Fields("OriginAirport").Value & "&nbsp;" %></td>
    <td width="136"><%= oRs.Fields("OriginGate").Value & "&nbsp;" %></td>
    <td colspan="2"><%= oRs.Fields("OriginRunway").Value & "&nbsp;" %></td>
    <td width="135"><%= oRs.Fields("SID").Value & "&nbsp;" %></td>
    <td width="81"><%= oRs.Fields("OriginTA").Value & "&nbsp;" %></td>
  </tr>
  <tr>
    <td colspan="7">&nbsp;</td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="2"><font color="#333333"><strong>Destination Airport</strong></font></td>
    <td width="136"><font color="#333333"><strong>Gate</strong></font></td>
    <td colspan="2"><font color="#333333"><strong>Runway</strong></font></td>
    <td width="135"><font color="#333333"><strong>STAR</strong></font></td>
    <td width="81"><font color="#333333"><strong>Transition</strong></font></td>
  </tr>
  <tr>
    <td colspan="2"><%= oRs.Fields("DestinationAirport").Value & "&nbsp;" %></td>
    <td width="136"><%= oRs.Fields("DestinationGate").Value & "&nbsp;" %></td>
    <td colspan="2"><%= oRs.Fields("DestinationRunway").Value & "&nbsp;" %></td>
    <td width="135"><%= oRs.Fields("STAR").Value & "&nbsp;" %></td>
    <td width="81"><%= oRs.Fields("DestinationTA").Value & "&nbsp;" %></td>
  </tr>
  <tr>
    <td colspan="7">&nbsp;</td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="7"><font color="#333333"><strong>Alternate Airport</strong></font></td>
  </tr>
  <tr>
    <td colspan="7"><%= oRs.Fields("AlternateAirport").Value & "&nbsp;" %></td>
  </tr>
  <tr>
    <td colspan="7">&nbsp;</td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="7"><font color="#333333"><strong>ZFW (lbs) </strong></font></td>
  </tr>
  <tr>
    <td colspan="7"><%= FormatNumber(oRs.Fields("ZFW").Value, 0, , True) %></td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="3"><font color="#333333"><strong>Time OUT </strong></font></td>
    <td colspan="2"><font color="#333333"><strong>Time OFF </strong></font></td>
    <td colspan="2"><font color="#333333"><strong>Takeoff IAS (kts)</strong></font></td>
  </tr>
  <tr>
    <td colspan="3"><%= oRs.Fields("OUTTime").Value %></td>
    <td colspan="2"><%= oRs.Fields("OFFTime").Value %></td>
    <td colspan="2"><%= oRs.Fields("TakeoffIAS").Value %></td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="2"><font color="#333333"><strong>Time ON </strong></font></td>
    <td><font color="#333333"><strong>Landing IAS (kts)</strong></font></td>
    <td colspan="4"><font color="#333333"><strong>Time IN </strong></font><font color="#333333">&nbsp;</font></td>
  </tr>
  <tr>
    <td colspan="2"><%= oRs.Fields("ONTime").Value %></td>
    <td><%= oRs.Fields("LandingIAS").Value %></td>
    <td colspan="4"><%= oRs.Fields("INTime").Value %></td>
  </tr>
  <tr>
    <td colspan="7">&nbsp;</td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="3"><font color="#333333"><strong>Block Time</strong></font></td>
    <td colspan="4"><font color="#333333"><strong>Block Fuel (lbs)</strong></font></td>
  </tr>
  <tr>
    <td colspan="3"><%= oRs.Fields("BlockTime").Value %></td>
    <td colspan="4"><%= FormatNumber(oRs.Fields("BlockFuel").Value, 0, , True) %></td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="3"><font color="#333333"><strong>Flight Time</strong></font></td>
    <td colspan="4"><font color="#333333"><strong>Flight Fuel (lbs)</strong></font></td>
  </tr>
  <tr>
    <td colspan="3"><%= oRs.Fields("FlightTime").Value %></td>
    <td colspan="4"><%= FormatNumber(oRs.Fields("FlightFuel").Value, 0, , True) %></td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="3"><font color="#333333"><strong>Day Flight Time</strong></font></td>
    <td colspan="4"><font color="#333333"><strong>Night Flight Time </strong></font></td>
  </tr>
  <tr>
    <td colspan="3"><%= oRs.Fields("DayFlightTime").Value %></td>
    <td colspan="4"><%= oRs.Fields("NightFlightTime").Value %></td>
  </tr>
  <tr>
    <td colspan="7">&nbsp;</td>
  </tr>
  <tr bgcolor="#66CCFF">
    <td colspan="3"><font color="#333333"><strong>Flight Distance (nm)</strong></font></td>
    <td colspan="4"><font color="#333333"><strong>Planned Route Distance (nm) </strong></font></td>
  </tr>
  <tr>
    <td colspan="3"><%= oRs.Fields("DistanceFlight").Value %></td>
    <td colspan="4"><%= oRs.Fields("DistanceRoute").Value %></td>
  </tr>
  <tr>
    <td colspan="7">&nbsp;</td>
  </tr>
 
 <% If Len(oRs.Fields("FlightPlan").Value) > 0 Then %>
  
      <tr bgcolor="#66CCFF">
        <td colspan="7"><font color="#333333"><strong>Flight Plan</strong></font></td>
  </tr>
      <tr bgcolor="#CCCCCC">
        <td width="55"><font color="#333333"><strong>Nr.</strong></font></td>
        <td width="147"><font color="#333333"><strong>Name</strong></font><font color="#333333">&nbsp;</font><font color="#333333">&nbsp;</font></td>
        <td><font color="#333333"><strong>Type</strong></font></td>
        <td width="95" bgcolor="#CCCCCC"><div align="center"><font color="#333333"><strong>Time</strong></font></div></td>
        <td width="95" bgcolor="#CCCCCC"><div align="center"><font color="#333333"><strong>Fuel (lbs) </strong></font></div></td>
        <td width="135" bgcolor="#CCCCCC"><div align="center"><font color="#333333"><strong>IAS (kts) </strong></font></div></td>
        <td width="81" bgcolor="#CCCCCC"><div align="center"><font color="#333333"><strong>Alt (ft) </strong></font></div></td>
      </tr>
      
    <%
        arData = Split(oRs.Fields("FlightPlan").Value, vbCRLF)
        For i = LBound(arData) To UBound(arData)
            
            'Number|Name|Type|Time|Fuel|IAS|Alitude|Heading|Wind|OAT
            '  0   |  1 |  2 |  3 |  4 | 5 |   6   |   7   |  8 | 9

            arEntry = Split(Trim(arData(i)), "|")
            If UBound(arEntry) >= 6 Then
    %>
                <% If (i Mod 2) = 0 Then %>
                    <tr bgcolor="#FFFFCC">
                <% Else %>
                <tr bgcolor="#EEEEEE">
                <% End If %>
                <% If arEntry(3) = "00:00" And arEntry(4) = "0" And arEntry(5) = "0" And arEntry(6) = "0" And arEntry(7) = "0" And arEntry(8) = "0/0" And arEntry(9) = "0" Then %> 
                  <td width="55"><div align="center"><%= arEntry(0) %></div></td>
                  <td><%= arEntry(1) %></td>
                  <td><%= arEntry(2) %></td>
                  <td width="95"><div align="center">NA</div></td>
                  <td width="95"><div align="center">NA</div></td>
                  <td width="135"><div align="center">NA</div></td>
                  <td width="81"><div align="center">NA</div></td>
                <% Else %>
                  <td width="55"><div align="center"><%= arEntry(0) %></div></td>
                  <td><%= arEntry(1) %></td>
                  <td><%= arEntry(2) %></td>
                  <td width="95"><div align="center"><%= arEntry(3) %></div></td>
                  <td width="95"><div align="center"><%= FormatNumber(arEntry(4), 0, , True) %></div></td>
                  <td width="135"><div align="center"><%= arEntry(5) %></div></td>
                  <td width="81"><div align="center"><%= arEntry(6) %></div></td>
                <% End If %>
  </tr>
    <%
            End If
        Next
    %>
    
      <tr>
        <td colspan="7">&nbsp;</td>
      </tr>
 
 <% End If %>
 
  <% If Len(oRs.Fields("Comment").Value) > 0 Then %>
      <tr bgcolor="#66CCFF">
        <td colspan="7"><font color="#333333"><strong>Comment</strong></font></td>
  </tr>
      <tr bgcolor="#FFFFCC">
        <td colspan="7"><font size="2" face="Courier New, Courier, mono"><%= Replace(Replace(oRs.Fields("Comment").Value, vbCRLF, "<br>"), " ", "&nbsp;") %></font></td>
      </tr>
      <tr>
        <td colspan="7">&nbsp;</td>
      </tr>
  <% End If %>
  
  <% If Len(oRs.Fields("FlightCritique").Value) > 0 Then %>
      <tr bgcolor="#66CCFF">
        <td colspan="7"><font color="#333333"><strong>Flight Critique</strong></font></td>
  </tr>
      <tr bgcolor="#FFFFCC">
        <td colspan="7"><font size="2" face="Courier New, Courier, mono"><%= Replace(Replace(oRs.Fields("FlightCritique").Value, vbCRLF, "<br>"), " ", "&nbsp;") %></font></td>
      </tr>
      <tr>
        <td colspan="7">&nbsp;</td>
      </tr>
  <% End If %>
  
  <tr bgcolor="#66CCFF">
    <td colspan="7"><font color="#333333"><strong>Flight Maps</strong></font></td>
  </tr>
  <% If Len(oRs.Fields("FlightMapJPG").Value) > 0 Then %>
      <tr bgcolor="#CCCCCC">
        <td colspan="7"><font color="#333333"><strong><center>Flight Route</center></strong></font></td>
      </tr>
      <tr bgcolor="#888888">
        <td colspan="7" align="center" valign="middle"><img src="Images/PIREP/<%= oRs.Fields("FlightMapJPG").Value %>"></td>
      </tr>
  <% End If %>
  <% If Len(oRs.Fields("FlightMapWeatherJPG").Value) > 0 Then %>
      <tr bgcolor="#CCCCCC">
        <td colspan="7"><font color="#333333"><strong><center>Flight Weather</center></strong></font></td>
      </tr>
      <tr bgcolor="#888888">
        <td colspan="7" align="center" valign="middle"><img src="Images/PIREP/<%= oRs.Fields("FlightMapWeatherJPG").Value %>"></td>
      </tr>
  <% End If %>
  <% If Len(oRs.Fields("FlightMapTaxiOUTJPG").Value) > 0 Then %>
      <tr bgcolor="#CCCCCC">
        <td colspan="7"><font color="#333333"><strong><center>Taxi Route Origin</center></strong></font></td>
      </tr>
      <tr bgcolor="#888888">
        <td colspan="7" align="center" valign="middle"><img src="Images/PIREP/<%= oRs.Fields("FlightMapTaxiOUTJPG").Value %>"></td>
      </tr>
  <% End If %>
  <% If Len(oRs.Fields("FlightMapTaxiINJPG").Value) > 0 Then %>
      <tr bgcolor="#CCCCCC">
        <td colspan="7"><font color="#333333"><strong><center>Taxi Route Destination</center></strong></font></td>
      </tr>
      <tr bgcolor="#888888">
        <td colspan="7" align="center" valign="middle"><img src="Images/PIREP/<%= oRs.Fields("FlightMapTaxiINJPG").Value %>"></td>
      </tr>
  <% End If %>
  <% If Len(oRs.Fields("FlightMapVerticalProfileJPG").Value) > 0 Then %>
      <tr bgcolor="#CCCCCC">
        <td colspan="7"><font color="#333333"><strong><center>Vertical Profile</center></strong></font></td>
      </tr>
      <tr bgcolor="#888888">
        <td colspan="7" align="center" valign="middle"><img src="Images/PIREP/<%= oRs.Fields("FlightMapVerticalProfileJPG").Value %>"></td>
      </tr>
  <% End If %>
  <% If Len(oRs.Fields("FlightMapLandingProfileJPG").Value) > 0 Then %>
      <tr bgcolor="#CCCCCC">
        <td colspan="7"><font color="#333333"><strong><center>Approach/ILS Profile</center></strong></font></td>
      </tr>
      <tr bgcolor="#888888">
        <td colspan="7" align="center" valign="middle"><img src="Images/PIREP/<%= oRs.Fields("FlightMapLandingProfileJPG").Value %>"></td>
      </tr>
  <% End If %>
</table>
<p>
  <%    
End If

If Not IsEmpty(oRs) Then
    If Not oRs Is Nothing Then
        If oRs.State = 1 Then oRs.Close
            Set oRs = Nothing
    End If
End If

If Not IsEmpty(oConn) Then
    If Not oConn Is Nothing Then
            If oConn.State = 1 Then oConn.Close
            Set oConn = Nothing
    End If
End If

%>
</font>
</p>
</body>
</html>